Debian Bug report logs - #194257
lintian: Policy version 3.6.1.0 has been released

version graph

Package: lintian; Maintainer for lintian is Debian Lintian Maintainers <lintian-maint@debian.org>; Source for lintian is src:lintian.

Reported by: Jay Bonci <jay@bonci.com>

Date: Thu, 22 May 2003 07:03:03 UTC

Severity: normal

Tags: patch

Found in version 1.22.8.1

Fixed in version lintian/1.22.11

Done: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Josip Rodin <joy-packages@debian.org>, lintian@packages.qa.debian.org:
Bug#194257; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to Jay Bonci <jay@bonci.com>:
New Bug report received and forwarded. Copy sent to Josip Rodin <joy-packages@debian.org>, lintian@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jay Bonci <jay@bonci.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lintian: Policy version 3.5.10 has been released. Lintian needs its newest-policy-version incremented
Date: Thu, 22 May 2003 02:43:57 -0400
Package: lintian
Version: 1.22.8.1
Severity: normal

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

This is just a reminder to all of the lintian folks, that when a new 
version of lintian comes out, there has been a newer policy released, so 
the newest policy should be set to 3.5.10.

Thanks,

		--jay


- -- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux starlite 2.4.19-686 #1 Mon Nov 18 23:59:03 EST 2002 i686
Locale: LANG=C, LC_CTYPE=C

Versions of packages lintian depends on:
ii  binutils                 2.14.90.0.2-0.1 The GNU assembler, linker and bina
ii  diffstat                 1.32-1          produces graph of changes introduc
ii  file                     3.40-1.1        Determines file type using "magic"
ii  man-db                   2.4.1-8         The on-line manual pager
ii  perl                     5.8.0-17        Larry Wall's Practical Extraction 

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.2 (GNU/Linux)

iD8DBQE+zHGtZNh5D+C4st4RAiVSAJ9lDvJq73BBnYiB0NwYnaM0K0PNoQCaAy76
jVl17k+XDIWR6Y5Sp3D5I+4=
=fDGt
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Josip Rodin <joy-packages@debian.org>:
Bug#194257; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to Jay Bonci <jay@bonci.com>:
Extra info received and forwarded to list. Copy sent to Josip Rodin <joy-packages@debian.org>. Full text and rfc822 format available.

Message #10 received at 194257@bugs.debian.org (full text, mbox):

From: Jay Bonci <jay@bonci.com>
To: control@bugs.debian.org
Cc: 194257@bugs.debian.org
Subject: lintian: Policy version 3.6.0 has been released. Lintian needs its newest-policy-version incremented
Date: Mon, 14 Jul 2003 11:42:30 -0400
[Message part 1 (text/plain, inline)]
retitle 1944257 lintian: Policy version 3.6.0 has been released. Lintian needs its newest-policy-version incremented

thanks

Just updating this bug so that it's current.

		--jay

-- 
Jay Bonci    | <jay@bonci.com>
GPG: E0B8B2DE| 562B 35DC BE8D 7802 DB31  6423 64D8 790F E0B8 B2DE

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Josip Rodin <joy-packages@debian.org>:
Bug#194257; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to Josip Rodin <joy@srce.hr>:
Extra info received and forwarded to list. Copy sent to Josip Rodin <joy-packages@debian.org>. Full text and rfc822 format available.

Message #15 received at 194257@bugs.debian.org (full text, mbox):

From: Josip Rodin <joy@srce.hr>
To: Jay Bonci <jay@bonci.com>, 194257@bugs.debian.org
Subject: Re: Bug#194257: lintian: Policy version 3.6.0 has been released. Lintian needs its newest-policy-version incremented
Date: Mon, 14 Jul 2003 18:21:58 +0200
On Mon, Jul 14, 2003 at 11:42:30AM -0400, Jay Bonci wrote:
> retitle 1944257 lintian: Policy version 3.6.0 has been released. Lintian needs its newest-policy-version incremented
> 
> Just updating this bug so that it's current.

Yeah, I know :) 3.6 is going to need a fair bit of changing, lintian uses
the wretched section numbers...

-- 
     2. That which causes joy or happiness.



Information forwarded to debian-bugs-dist@lists.debian.org, Josip Rodin <joy-packages@debian.org>:
Bug#194257; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to Jay Bonci <jay@bonci.com>:
Extra info received and forwarded to list. Copy sent to Josip Rodin <joy-packages@debian.org>. Full text and rfc822 format available.

Message #20 received at 194257@bugs.debian.org (full text, mbox):

From: Jay Bonci <jay@bonci.com>
To: Josip Rodin <joy@srce.hr>
Cc: 194257@bugs.debian.org
Subject: Re: Bug#194257: lintian: Policy version 3.6.0 has been released. Lintian needs its newest-policy-version incremented
Date: 14 Jul 2003 12:17:27 -0400
[Message part 1 (text/plain, inline)]
To you have an alioth project or general list of items that need to be
done for lintian, or is it like "In Josip's head"?

It's all perl and I'm good with that and willing to submit patches and
all that jazz.

		--jay

On Mon, 2003-07-14 at 12:21, Josip Rodin wrote:
> On Mon, Jul 14, 2003 at 11:42:30AM -0400, Jay Bonci wrote:
> > retitle 1944257 lintian: Policy version 3.6.0 has been released. Lintian needs its newest-policy-version incremented
> > 
> > Just updating this bug so that it's current.
> 
> Yeah, I know :) 3.6 is going to need a fair bit of changing, lintian uses
> the wretched section numbers...
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Josip Rodin <joy-packages@debian.org>:
Bug#194257; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to Josip Rodin <joy@srce.hr>:
Extra info received and forwarded to list. Copy sent to Josip Rodin <joy-packages@debian.org>. Full text and rfc822 format available.

Message #25 received at 194257@bugs.debian.org (full text, mbox):

From: Josip Rodin <joy@srce.hr>
To: Jay Bonci <jay@bonci.com>
Cc: 194257@bugs.debian.org
Subject: Re: Bug#194257: lintian: Policy version 3.6.0 has been released. Lintian needs its newest-policy-version incremented
Date: Mon, 14 Jul 2003 18:30:19 +0200
On Mon, Jul 14, 2003 at 12:17:27PM -0400, Jay Bonci wrote:
> [Do] you have an alioth project or general list of items that need to be
> done for lintian, or is it like "In Josip's head"?

It's more like on my hard drive... :)

I need to learn how to import the existing CVS repo plus the missing
releases of Lintian into the new Subversion repository (which is on Alioth,
incidentally, but AFAIK unrelated to GForge project which also exists).
Then we'll be able to have a decent version control system together with
public collaborative maintenance, I guess.

-- 
     2. That which causes joy or happiness.



Information forwarded to debian-bugs-dist@lists.debian.org, Josip Rodin <joy-packages@debian.org>:
Bug#194257; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to Neil McGovern <maulkin@halon.org.uk>:
Extra info received and forwarded to list. Copy sent to Josip Rodin <joy-packages@debian.org>. Full text and rfc822 format available.

Message #30 received at 194257@bugs.debian.org (full text, mbox):

From: Neil McGovern <maulkin@halon.org.uk>
To: Debian Bug Tracking System <194257@bugs.debian.org>
Subject: lintian: Standards version 3.6.0 now out
Date: Tue, 15 Jul 2003 09:25:56 +0100
Package: lintian
Version: 1.22.8.1
Followup-For: Bug #194257

Next time lintian is updated, standards version 3.6.0 is out, so it
needs updating :P

Neil
-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux vivacia 2.4.20-3-k7 #1 Sun Jun 8 01:35:14 EST 2003 i686
Locale: LANG=en_GB, LC_CTYPE=en_GB

Versions of packages lintian depends on:
ii  binutils                 2.14.90.0.4-0.1 The GNU assembler, linker and bina
ii  diffstat                 1.33-1          produces graph of changes introduc
ii  file                     4.02-4          Determines file type using "magic"
ii  man-db                   2.4.1-10        The on-line manual pager
ii  perl                     5.8.0-18        Larry Wall's Practical Extraction 

-- no debconf information




Changed Bug title. Request was from Thomas Hood <jdthood@yahoo.co.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Andreas Barth <aba@not.so.argh.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Josip Rodin <joy-packages@debian.org>:
Bug#194257; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to Matthias Urlichs <smurf@debian.org>:
Extra info received and forwarded to list. Copy sent to Josip Rodin <joy-packages@debian.org>. Full text and rfc822 format available.

Message #39 received at 194257@bugs.debian.org (full text, mbox):

From: Matthias Urlichs <smurf@debian.org>
To: 194257@bugs.debian.org
Subject: Version number update: ?
Date: Fri, 19 Sep 2003 11:25:57 +0200
[Message part 1 (text/plain, inline)]
Hi,

it's been about a month since the latest policy update... what's the timetable 
for the next lintian release? I'm almost tempted to NMU it to make the 
warning go away.  1/2 :-)

-- 
Matthias Urlichs    |    {M:U} IT Design @ m-u-it.de     |    smurf@debian.org
Disclaimer: The quote was selected randomly. Really. | http://smurf.debian.net
 - -
"Pride is all very well, but a sausage is a sausage."
        -- Gaspode, of course
           (Terry Pratchett, Men at Arms)
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Josip Rodin <joy-packages@debian.org>:
Bug#194257; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to Josip Rodin <joy@srce.hr>:
Extra info received and forwarded to list. Copy sent to Josip Rodin <joy-packages@debian.org>. Full text and rfc822 format available.

Message #44 received at 194257@bugs.debian.org (full text, mbox):

From: Josip Rodin <joy@srce.hr>
To: Matthias Urlichs <smurf@debian.org>, 194257@bugs.debian.org
Subject: Re: Bug#194257: Version number update: ?
Date: Sat, 20 Sep 2003 15:21:58 +0200
On Fri, Sep 19, 2003 at 11:25:57AM +0200, Matthias Urlichs wrote:
> it's been about a month since the latest policy update... what's the
> timetable for the next lintian release? I'm almost tempted to NMU it to
> make the warning go away.  1/2 :-)

The problem with 3.6.x is that I changed many section numbers in Policy, and
Lintian unfortunately uses section numbers to refer people to Policy.
So even if we bumped the standards-version check to 3.6 it would still be
wrong to call it compliant until all the references were converted.

Patches accepted...

-- 
     2. That which causes joy or happiness.



Information forwarded to debian-bugs-dist@lists.debian.org, Josip Rodin <joy-packages@debian.org>:
Bug#194257; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to Oliver Kurth <oku@masqmail.cx>:
Extra info received and forwarded to list. Copy sent to Josip Rodin <joy-packages@debian.org>. Full text and rfc822 format available.

Message #49 received at 194257@bugs.debian.org (full text, mbox):

From: Oliver Kurth <oku@masqmail.cx>
To: Josip Rodin <joy@srce.hr>
Cc: Matthias Urlichs <smurf@debian.org>, 194257@bugs.debian.org
Subject: Re: Bug#194257: Version number update: ?
Date: Wed, 1 Oct 2003 23:21:48 +0200
[Message part 1 (text/plain, inline)]
On Sat, Sep 20, 2003 at 03:21:58PM +0200, Josip Rodin wrote:
> On Fri, Sep 19, 2003 at 11:25:57AM +0200, Matthias Urlichs wrote:
> > it's been about a month since the latest policy update... what's the
> > timetable for the next lintian release? I'm almost tempted to NMU it to
> > make the warning go away.  1/2 :-)
> 
> The problem with 3.6.x is that I changed many section numbers in Policy, and
> Lintian unfortunately uses section numbers to refer people to Policy.
> So even if we bumped the standards-version check to 3.6 it would still be
> wrong to call it compliant until all the references were converted.

How about stating just that in the message, as long as this isn't
fixed? It would save a lot of confusion.

> Patches accepted...

Well... I am not into that.

Greetings,
Oliver

-- 
  .''`.
 : :' :    Oliver Kurth oku@debian.org
 `. `'           Debian GNU/Linux maintainer - www.debian.org
   `-
When sending passwords, please use my gpg key. That's what it's good for.

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Josip Rodin <joy-packages@debian.org>:
Bug#194257; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to nbreen@ofb.net (Nicholas Breen):
Extra info received and forwarded to list. Copy sent to Josip Rodin <joy-packages@debian.org>. Full text and rfc822 format available.

Message #54 received at 194257@bugs.debian.org (full text, mbox):

From: nbreen@ofb.net (Nicholas Breen)
To: 194257@bugs.debian.org
Subject: Bug#194257: policy section numbers
Date: Sat, 18 Oct 2003 15:08:31 -0400
[Message part 1 (text/plain, inline)]
> Patches accepted...

It was about time I re-read policy anyhow.

The attached patch should correct every reference to policy that's moved
(which also covers the specific problems mentioned in #208945 and
#214949), and adds 3.6.0 and 3.6.1 as known policy versions in
checks/standards-version .


-- 
Nicholas Breen
nbreen@ofb.net
[lintian-194257.patch.gz (application/octet-stream, attachment)]

Tags added: patch Request was from nbreen@ofb.net (Nicholas Breen) to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from "www.wolffelaar.nl" <www-data@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jay Bonci <jay@bonci.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #63 received at 194257-close@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: 194257-close@bugs.debian.org
Subject: Bug#194257: fixed in lintian 1.22.11
Date: Sun, 22 Feb 2004 19:47:07 -0500
Source: lintian
Source-Version: 1.22.11

We believe that the bug you reported is fixed in the latest version of
lintian, which is due to be installed in the Debian FTP archive:

lintian_1.22.11.dsc
  to pool/main/l/lintian/lintian_1.22.11.dsc
lintian_1.22.11.tar.gz
  to pool/main/l/lintian/lintian_1.22.11.tar.gz
lintian_1.22.11_all.deb
  to pool/main/l/lintian/lintian_1.22.11_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 194257@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar <jeroen@wolffelaar.nl> (supplier of updated lintian package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 16 Feb 2004 21:17:59 +0100
Source: lintian
Binary: lintian
Architecture: source all
Version: 1.22.11
Distribution: unstable
Urgency: low
Maintainer: Debian Lintian Maintainers <lintian-maint@debian.org>
Changed-By: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Description: 
 lintian    - Debian package checker
Closes: 188095 189776 190067 190067 194257 194787 195201 198611 199341 200046 200802 202856 207529 208945 210576 214949 215234 217384 222648 225293 225837 230182 231884 232875
Changes: 
 lintian (1.22.11) unstable; urgency=low
 .
   Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
    * Upgrade lintian itself to policy 3.6.1
      + Drop question about removing lab on purge, just do it.
    * Update to Debian Policy 3.6.1, all references broken by
      section-reorganization are updated (Closes: #194257, #208945, #214949,
      also closes: #217384, #231884)
      (Patch by Nicholas Breen <nbreen@ofb.net>)
    * Support for dash scripts (Closes: #194787)
      (Patch by Frank Lichtenheld <djpig@debian.org>)
    * checks/binaries.desc:
      + Fix typo (Closes: #202856)
    * checks/deb-format, debian/control:
      + Rewrite by Denis Barbier, slightly cleaned up, renders
        libarchive-tar-perl dependency unneeded (Closes: #232875)
    * checks/filenames (and more):
      + Check for Subversion version control leftovers (Closes: #190067)
      + Ignore empty __init__.py files in /usr/share/doc (Closes: #215234)
        (based on patch by Frank Lichtenheld <djpig@debian.org>)
    * checks/cruft:
      + Check for CVS and Subversion cruft in source packages (Closes: #189776,
        also closes: #190067)
    * checks/po-debconf
      + Rewrite in Perl
      + Obsolete PO files are no more checked because po2debconf now
        automatically runs debconf-updatepo if PO files are older than
        templates files.  Of course PO files might be outdated (e.g. when
        downloaded from a BR), but it should occur seldom.
      + PO files are processed through msgfmt to ensure they are valid.
      + Based on patch by Denis Barbier <barbier@debian.org>, Closes: #210576
      + Check whether po-debconf is used at all, and warn if it isn't
      + Check for required POTFILES.in and template.pot in debian/po
    * checks/menu-format
      + Drop menu-icon-has-bad-colors, it doesn't apply anymore (Closes: #199341)
      + Menu sub-policy 3.6.0 added two sections (Closes: #207529)
      + Added three checks for correct su-to-root usage (Closes: #188095)
      + Understand icon32x32 and icon16x16 (Closes: #200046)
      + Missing required tags are now an error (and check name changed)
      + Check tag-quotation
      + Rewrite needs check properly, being more precise what is allowed
      + Complain about needs="dwww", as this is obsolete accordint to menu
        maintainer
        (parts menu-format updates based on patch by Bill Allombert
        <ballombe@debian.org>)
    * checks/scripts
      + Recognise the 'tcl' interpreter, not the same as tclsh (Closes: #230182)
 .
   Frank Lichtenheld <djpig@debian.org>
    * checks/debhelper:
      + fix parsing debian/compat for needed
        version (Closes: #198611)
      + update list of existing debhelper commands
    * checks/manpages:
      + push back the extension after testing for
        manpage-not-compressed (Closes: #225293)
    * checks/copyright-file: don't complain about missing reference to
       the GPL if we already detected a wrong reference (Closes: #225837)
    * checks/debconf:
      + don't complain about partially-translated-question, if
        Choices is only a substitution variable (Closes: #200802,#222648)
      + fix testing of dependencies to eliminate false
        positives of missing-debconf-dependency (Closes: #195201)
Files: 
 3f3c6b214c5ce74e323e29d9ff803573 751 devel optional lintian_1.22.11.dsc
 4b14cb168dbf4b0827be3d8151c0d491 226987 devel optional lintian_1.22.11.tar.gz
 e36486cdd941d04a9bfcff817806cd17 187176 devel optional lintian_1.22.11_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.2 (GNU/Linux)
Comment: Colin Watson <cjwatson@debian.org> -- Debian developer

iD8DBQFAOUwM9t0zAhD6TNERAvP4AJ4gR7K5fXCFl7PJtE6jP9sTw9r9KwCdH0MY
Et5CQHGa+GzJnvWRsy9HXv4=
=Hv0z
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:02:44 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.